For AI agents: the complete documentation index is at https://buddy.works/llms.txt
GET
- /workspaces
- /:workspace
- /groups
- /:group_id
- /members
- /:member_id
Returns a single member of a user group
REQUIRED SCOPESGROUP_READ
URL PARAMETERSworkspacerequiredstring
The human-readable ID of the workspacegroup_idrequiredinteger
The ID of the groupmember_idrequiredinteger
The ID of the member RESPONSE BODYurlread-onlystring
API endpoint to GET this objecthtml_urlread-onlystring
Web URL to view this object in Buddy.worksidinteger
The ID of the usernamestring
The name of the userusernamestring
The unique username of the useravatar_urlstring
The avatar URL of the useremailstring
The email address of the useradminboolean
Whether the user has admin privilegesworkspace_ownerboolean
Whether the user is workspace ownerstatusstring enum
The status of the group memberAllowed enum: MEMBER,
MANAGER
Last modified on Apr 22, 2026
curl -X GET "https://api.buddy.works/workspaces/:workspace/groups/:group_id/members/:member_id" \
-H "Authorization: Bearer <YOUR-TOKEN>" \
-H "Content-Type: application/json"
{
"url": "https://api.buddy.works/workspaces/my-workspace/groups/123/members/216",
"html_url": "https://app.buddy.works/my-workspace/-/profile/216",
"id": 216,
"name": "John Doe",
"avatar_url": "https://app.buddy.works/image-server/user/0/0/0/0/2/1/6/avatar.png",
"email": "john.doe@example.com",
"admin": false,
"workspace_owner": false,
"status": "MEMBER"
}
STATUS
200 OK